PKG-DELETE(8)

NAME
pkg delete - deletes a package from the database and the system

SYNOPSIS
pkg delete [-ay]
pkg delete [-yqfgxX] <pkg-name> <...>

DESCRIPTION
pkg delete is used for deleting previously installed packages and removes them from the database.

OPTIONS
The following options are supported by pkg delete:

-f  Forces packages to be removed.

-a  Deletes all installed packages from the system and the database.

-y  Assume yes when asked for confirmation before package deletion.

-g  Treat the package names as shell glob patterns.

-x  Treat the package names as regular expressions.

-X  Treat the package names as extended regular expressions.

-q  Force quiet output

ENVIRONMENT
The following environment variables affect the execution of pkg delete. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(8), pkg-add(8), pkg-autoremove(8), pkg-search(8), pkg-backup(8), pkg-install(8), pkg-create(8), pkg-info(8), pkg-register(8), pkg-repo(8), pkg-set(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8), pkg.conf(5)